#include "context/DefaultRequestController.h"

DefaultRequestController::DefaultRequestController()
{
    this->lockTimeout = 0;
}

DefaultRequestController::DefaultRequestController(int64_t  lockTimeout)
{
    this->lockTimeout = lockTimeout;
}

DefaultRequestController::DefaultRequestController(AgObjectPtr originator)
{
    this->lockTimeout = 0;
    this->originator = originator;
}

DefaultRequestController::DefaultRequestController(EvaluatorPtr evaluator)
{
    this->lockTimeout = 0;
    this->evaluator = evaluator;
}

AgObjectPtr DefaultRequestController::getOriginator()
{
    return originator;
}

void DefaultRequestController::setOriginator(AgObjectPtr originator)
{
    this->originator = originator;
}

int64_t DefaultRequestController::getLockTimeout()
{
    return lockTimeout;
}

void DefaultRequestController::setLockTimeout(int64_t  lockTimeout)
{
    this->lockTimeout = lockTimeout;
}

EvaluatorPtr DefaultRequestController::getEvaluator()
{
    return evaluator;
}

void DefaultRequestController::setEvaluator(EvaluatorPtr evaluator)
{
    this->evaluator = evaluator;
}
